# https://blog.csdn.net/weixin_38346042/article/details/123422231
# https://zhuanlan.zhihu.com/p/276461821
from setuptools import setup

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()
    
setup(
    name="pyday",  # How you named your package folder (MyLib)
    version="0.0.27",  # Start with a small number and increase it with every change you make
    license="MIT",  # Chose a license from here: https://help.github.com/articles/licensing-a-repository
    description="""PyDay aims to provide a unified interface and feature set to make code concise and easy to maintain. It is a comprehensive toolkit primarily used for data analysis and data visualization, encapsulating popular packages such as pandas, numpy, and matplotlib. In addition to data analysis and data visualization, PyDay also provides useful functionalities like Simplified Chinese to English translation and PDF generation.""",  # Give a short description about your library
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="AnsonCar",  # Type in your name
    author_email="anson1tsang@gmail.com",  # Type in your E-Mail
    url="https://github.com/AnsonCar/pyday",  # Provide either the link to your github or to your website
    download_url="",  # I explain this later on
    keywords=["pyday", "Data", "Tool"],  # Keywords that define your package best
    install_requires=[  # I get to this in a second
        "appnope",
        "asttokens==2.2.1",
        "backcall==0.2.0",
        "certifi==2023.7.22",
        "chardet==3.0.4",
        "comm==0.1.3",
        "debugpy==1.6.7",
        "decorator==5.1.1",
        "executing==1.2.0",
        "googletrans==3.1.0a0",
        "h11==0.9.0",
        "h2==3.2.0",
        "hpack==3.0.0",
        "hstspreload==2023.1.1",
        "httpcore==0.9.1",
        "httpx==0.13.3",
        "hyperframe==5.2.0",
        "idna==2.10",
        "ipykernel==6.24.0",
        "ipython==8.14.0",
        "jedi==0.18.2",
        "jupyter_client==8.3.0",
        "jupyter_core==5.3.1",
        "matplotlib-inline==0.1.6",
        "nest-asyncio==1.5.6",
        "opencc-python-reimplemented==0.1.7",
        "packaging==23.1",
        "parso==0.8.3",
        "pexpect==4.8.0",
        "pickleshare==0.7.5",
        "Pillow==10.0.0",
        "platformdirs==3.9.1",
        "prompt-toolkit==3.0.39",
        "psutil==5.9.5",
        "ptyprocess==0.7.0",
        "pure-eval==0.2.2",
        "Pygments==2.15.1",
        "python-dateutil==2.8.2",
        "pyzmq==25.1.0",
        "reportlab==4.0.4",
        "rfc3986==1.5.0",
        "six==1.16.0",
        "sniffio==1.3.0",
        "stack-data==0.6.2",
        "tornado==6.3.2",
        "traitlets==5.9.0",
        "wcwidth==0.2.6",
        "appnope==0.1.3",
        "asttokens==2.2.1",
        "backcall==0.2.0",
        "certifi==2023.7.22",
        "chardet==3.0.4",
        "comm==0.1.3",
        "debugpy==1.6.7",
        "decorator==5.1.1",
        "executing==1.2.0",
        "googletrans==3.1.0a0",
        "h11==0.9.0",
        "h2==3.2.0",
        "hpack==3.0.0",
        "hstspreload==2023.1.1",
        "httpcore==0.9.1",
        "httpx==0.13.3",
        "hyperframe==5.2.0",
        "idna==2.10",
        "ipykernel==6.24.0",
        "ipython==8.14.0",
        "jedi==0.18.2",
        "jupyter_client==8.3.0",
        "jupyter_core==5.3.1",
        "matplotlib-inline==0.1.6",
        "nest-asyncio==1.5.6",
        "numpy==1.25.1",
        "opencc-python-reimplemented==0.1.7",
        "packaging==23.1",
        "pandas==2.0.3",
        "parso==0.8.3",
        "pexpect==4.8.0",
        "pickleshare==0.7.5",
        "Pillow==10.0.0",
        "platformdirs==3.9.1",
        "prompt-toolkit==3.0.39",
        "psutil==5.9.5",
        "ptyprocess==0.7.0",
        "pure-eval==0.2.2",
        "Pygments==2.15.1",
        "python-dateutil==2.8.2",
        "pytz==2023.3",
        "pyzmq==25.1.0",
        "reportlab==4.0.4",
        "rfc3986==1.5.0",
        "six==1.16.0",
        "sniffio==1.3.0",
        "stack-data==0.6.2",
        "tornado==6.3.2",
        "traitlets==5.9.0",
        "tzdata==2023.3",
        "wcwidth==0.2.6",
        "appnope==0.1.3",
        "asttokens==2.2.1",
        "backcall==0.2.0",
        "certifi==2023.7.22",
        "chardet==3.0.4",
        "comm==0.1.3",
        "debugpy==1.6.7",
        "decorator==5.1.1",
        "executing==1.2.0",
        "googletrans==3.1.0a0",
        "h11==0.9.0",
        "h2==3.2.0",
        "hpack==3.0.0",
        "hstspreload==2023.1.1",
        "httpcore==0.9.1",
        "httpx==0.13.3",
        "hyperframe==5.2.0",
        "idna==2.10",
        "ipykernel==6.24.0",
        "ipython==8.14.0",
        "jedi==0.18.2",
        "jupyter_client==8.3.0",
        "jupyter_core==5.3.1",
        "matplotlib-inline==0.1.6",
        "nest-asyncio==1.5.6",
        "numpy==1.25.1",
        "opencc-python-reimplemented==0.1.7",
        "packaging==23.1",
        "pandas==2.0.3",
        "parso==0.8.3",
        "pexpect==4.8.0",
        "pickleshare==0.7.5",
        "Pillow==10.0.0",
        "platformdirs==3.9.1",
        "prompt-toolkit==3.0.39",
        "psutil==5.9.5",
        "ptyprocess==0.7.0",
        "pure-eval==0.2.2",
        "Pygments==2.15.1",
        "python-dateutil==2.8.2",
        "pytz==2023.3",
        "pyzmq==25.1.0",
        "reportlab==4.0.4",
        "rfc3986==1.5.0",
        "six==1.16.0",
        "sniffio==1.3.0",
        "stack-data==0.6.2",
        "tornado==6.3.2",
        "traitlets==5.9.0",
        "tzdata==2023.3",
        "wcwidth==0.2.6",
        "appnope==0.1.3",
        "asttokens==2.2.1",
        "backcall==0.2.0",
        "certifi==2023.7.22",
        "chardet==3.0.4",
        "comm==0.1.3",
        "debugpy==1.6.7",
        "decorator==5.1.1",
        "executing==1.2.0",
        "googletrans==3.1.0a0",
        "h11==0.9.0",
        "h2==3.2.0",
        "hpack==3.0.0",
        "hstspreload==2023.1.1",
        "httpcore==0.9.1",
        "httpx==0.13.3",
        "hyperframe==5.2.0",
        "idna==2.10",
        "ipykernel==6.24.0",
        "ipython==8.14.0",
        "jedi==0.18.2",
        "jupyter_client==8.3.0",
        "jupyter_core==5.3.1",
        "matplotlib-inline==0.1.6",
        "nest-asyncio==1.5.6",
        "numpy==1.25.1",
        "opencc-python-reimplemented==0.1.7",
        "packaging==23.1",
        "pandas==2.0.3",
        "parso==0.8.3",
        "pexpect==4.8.0",
        "pickleshare==0.7.5",
        "Pillow==10.0.0",
        "platformdirs==3.9.1",
        "prompt-toolkit==3.0.39",
        "psutil==5.9.5",
        "ptyprocess==0.7.0",
        "pure-eval==0.2.2",
        "Pygments==2.15.1",
        "python-dateutil==2.8.2",
        "pytz==2023.3",
        "pyzmq==25.1.0",
        "reportlab==4.0.4",
        "rfc3986==1.5.0",
        "six==1.16.0",
        "sniffio==1.3.0",
        "stack-data==0.6.2",
        "tornado==6.3.2",
        "traitlets==5.9.0",
        "tzdata==2023.3",
        "wcwidth==0.2.6",
        "appnope==0.1.3",
        "asttokens==2.2.1",
        "backcall==0.2.0",
        "certifi==2023.7.22",
        "chardet==3.0.4",
        "comm==0.1.3",
        "debugpy==1.6.7",
        "decorator==5.1.1",
        "et-xmlfile==1.1.0",
        "executing==1.2.0",
        "googletrans==3.1.0a0",
        "h11==0.9.0",
        "h2==3.2.0",
        "hpack==3.0.0",
        "hstspreload==2023.1.1",
        "httpcore==0.9.1",
        "httpx==0.13.3",
        "hyperframe==5.2.0",
        "idna==2.10",
        "ipykernel==6.24.0",
        "ipython==8.14.0",
        "jedi==0.18.2",
        "jupyter_client==8.3.0",
        "jupyter_core==5.3.1",
        "matplotlib-inline==0.1.6",
        "nest-asyncio==1.5.6",
        "numpy==1.25.1",
        "opencc-python-reimplemented==0.1.7",
        "openpyxl==3.1.2",
        "packaging==23.1",
        "pandas==2.0.3",
        "parso==0.8.3",
        "pexpect==4.8.0",
        "pickleshare==0.7.5",
        "Pillow==10.0.0",
        "platformdirs==3.9.1",
        "prompt-toolkit==3.0.39",
        "psutil==5.9.5",
        "ptyprocess==0.7.0",
        "pure-eval==0.2.2",
        "Pygments==2.15.1",
        "python-dateutil==2.8.2",
        "pytz==2023.3",
        "pyzmq==25.1.0",
        "rarfile==4.0",
        "reportlab==4.0.4",
        "rfc3986==1.5.0",
        "six==1.16.0",
        "sniffio==1.3.0",
        "stack-data==0.6.2",
        "tornado==6.3.2",
        "traitlets==5.9.0",
        "tzdata==2023.3",
        "wcwidth==0.2.6",
        "appnope==0.1.3",
        "asttokens==2.2.1",
        "backcall==0.2.0",
        "certifi==2023.7.22",
        "chardet==3.0.4",
        "comm==0.1.3",
        "debugpy==1.6.7",
        "decorator==5.1.1",
        "et-xmlfile==1.1.0",
        "executing==1.2.0",
        "googletrans==3.1.0a0",
        "h11==0.9.0",
        "h2==3.2.0",
        "hpack==3.0.0",
        "hstspreload==2023.1.1",
        "httpcore==0.9.1",
        "httpx==0.13.3",
        "hyperframe==5.2.0",
        "idna==2.10",
        "ipykernel==6.24.0",
        "ipython==8.14.0",
        "jedi==0.18.2",
        "jupyter_client==8.3.0",
        "jupyter_core==5.3.1",
        "lxml==4.9.3",
        "matplotlib-inline==0.1.6",
        "nest-asyncio==1.5.6",
        "numpy==1.25.1",
        "opencc-python-reimplemented==0.1.7",
        "openpyxl==3.1.2",
        "packaging==23.1",
        "pandas==2.0.3",
        "parso==0.8.3",
        "pexpect==4.8.0",
        "pickleshare==0.7.5",
        "Pillow==10.0.0",
        "platformdirs==3.9.1",
        "prompt-toolkit==3.0.39",
        "psutil==5.9.5",
        "ptyprocess==0.7.0",
        "pure-eval==0.2.2",
        "Pygments==2.15.1",
        "python-dateutil==2.8.2",
        "python-docx==0.8.11",
        "pytz==2023.3",
        "pyzmq==25.1.0",
        "rarfile==4.0",
        "reportlab==4.0.4",
        "rfc3986==1.5.0",
        "six==1.16.0",
        "sniffio==1.3.0",
        "stack-data==0.6.2",
        "tornado==6.3.2",
        "traitlets==5.9.0",
        "tzdata==2023.3",
        "wcwidth==0.2.6",
    ],
    classifiers=[
        "Development Status :: 3 - Alpha",  # Chose either "3 - Alpha", "4 - Beta" or "5 - Production/Stable" as the current state of your package
        "Intended Audience :: Developers",  # Define that your audience are developers
        "Topic :: Software Development :: Build Tools",
        "License :: OSI Approved :: MIT License",  # Again, pick a license
        "Programming Language :: Python :: 3",  # Specify which pyhton versions that you want to support
        "Programming Language :: Python :: 3.4",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
)
